package com.fjhx.mes.mapper.production;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.production.po.ProductionOrder;
import com.fjhx.mes.entity.production.vo.ProductionOrderVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 生产订单 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-01-10
 */
public interface ProduceOrderMapper extends BaseMapper<ProductionOrder> {

    /**
     * 生产订单分页
     */
    Page<ProductionOrderVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ProductionOrder> wrapper);

}
