package com.fjhx.mes.service.production;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.production.dto.ProduceOrderSelectDto;
import com.fjhx.mes.entity.production.dto.ProductionOrderDto;
import com.fjhx.mes.entity.production.po.ProductionOrder;
import com.fjhx.mes.entity.production.vo.ProductionOrderVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 生产订单 服务类
 * </p>
 *
 * @author
 * @since 2024-01-10
 */
public interface ProduceOrderService extends BaseService<ProductionOrder> {

    /**
     * 生产订单分页
     */
    Page<ProductionOrderVo> getPage(ProduceOrderSelectDto dto);

    /**
     * 生产订单新增
     */
    void createOrder(ProductionOrderDto produceOrderDto);

}
